Bug 387481 - Can't build semodule with selinux-policy-2.4.6-107.fc6
Can't build semodule with selinux-policy-2.4.6-107.fc6
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.3
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-16 14:33 EST by Remi Collet
Modified: 2008-04-08 15:09 EDT (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-08 15:09:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch against policy-20061106.patch (776 bytes, patch)
2007-11-18 03:52 EST, Remi Collet
no flags Details | Diff

  None (edit)
Description Remi Collet 2007-11-16 14:33:49 EST
Build with rpmbuild or using mock fails with latest release of selinux-policy.

Error :
+ make -f /usr/share/selinux/devel/Makefile
cat: /selinux/mls: No such file or directory
Compiling targeted glpi module
tmp/all_interfaces.conf:128104:ERROR 'syntax error' at token 'n' on line 63903:
## <summary>
n##        Domain allowed access.
/usr/bin/checkmodule:  error(s) encountered while parsing configuration
/usr/bin/checkmodule:  loading policy configuration from tmp/glpi.tmp
make: *** [tmp/glpi.mod] Error 1

No problem with selinux-policy-2.4.6-94.fc6
No problem with same spec on Fedora 7, 8 and devel

Full mock build log :
http://buildsys.fedoraproject.org/logs/fedora-6-extras/37031-glpi-0.70-0.4.rc3.fc6/noarch/

Thanks for help on this issue.
Comment 1 Remi Collet 2007-11-18 03:52:19 EST
Created attachment 262741 [details]
patch against policy-20061106.patch

I've investigated on this issue.

It semmes there is a "parasite" character in the file kerberos.if file used to
generate the policy-20061106.patch

I put this bug as urgent because buildsys is broken for selinux stuff.
Comment 2 Remi Collet 2007-11-18 03:53:32 EST
Attached patch solves the issue.

Comment 3 Daniel Walsh 2007-11-19 08:55:02 EST
Fixed in selinux-policy-2_4_6-108_fc6
Comment 4 Remi Collet 2007-11-29 00:31:59 EST
As 108 in testing fixes this issue, can you push it to stable repository ?

Thanks.
Comment 5 Johan Cwiklinski 2007-12-01 04:02:36 EST
Same error here :

cat: /selinux/mls: No such file or directory
Compiling targeted BackupPC module
tmp/all_interfaces.conf:128104:ERROR 'syntax error' at token 'n' on line 63903:
##	<summary>
n##	Domain allowed access.
/usr/bin/checkmodule:  error(s) encountered while parsing configuration
/usr/bin/checkmodule:  loading policy configuration from tmp/BackupPC.tmp
make: *** [tmp/BackupPC.mod] Error 1

As for Remi, build is OK on F-7, F-8 and devel.

New SELinux policy should be pushed as stable before FC-6 goes to EOL i think.
Comment 6 Daniel Walsh 2007-12-02 21:42:25 EST
I have requested it be pushed to stable on 2007-12-2
Comment 7 Remi Collet 2007-12-30 10:48:14 EST
It seems there is the same issue with selinux-policy-2.4.6-104.el5

See
http://buildsys.fedoraproject.org/logs/fedora-5-epel/37692-glpi-0.70-3.el5/noarch/


Comment 8 Remi Collet 2007-12-31 03:43:27 EST
I must apologize, this is solved in selinux-policy-2.4.6-106.el5_1.3.

It's only a builder problem (an EPEL infrastructure bug).

Note You need to log in before you can comment on or make changes to this bug.